use teloxide::Bot;
use teloxide::prelude::Requester;
use teloxide::types::Message;

use super::common::STATE;

pub async fn main() {
    let bot = Bot::from_env();

    teloxide::repl(bot, |bot: Bot, msg: Message| async move {
        if msg.text().is_some() {
            STATE.lock().unwrap().set_name(msg.text().unwrap().to_string());
            bot.send_message(msg.chat.id, msg.text().unwrap()).await?;
        }
        Ok(())
    }).await;
}
